Package twisted :: Package manhole :: Module explorer :: Class Explorer |
[frames | no frames]

## Class Explorer

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                Cacheable --+
                            |
                           Explorer

Known Subclasses:
  `ExplorerBuiltin`, `ExplorerClass`, `ExplorerFunction`, `ExplorerGeneric`, `ExplorerImmutable`, `ExplorerInstance`, `ExplorerMapping`, `ExplorerModule`, `ExplorerSequence`

Method Summary
| `__init__(self, object, identifier)`
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective.
| `view_get_refcount(self, perspective)`
Inherited from Cacheable
| ``getStateToCacheAndObserveFor`(self, perspective, observer)` Get state to cache on the client and client-cache reference to observe locally.
| ``jellyFor`(self, jellier)` Return an appropriate tuple to serialize me.
| ``stoppedObserving`(self, perspective, observer)` This method is called when a client has stopped observing me.
Inherited from Copyable
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer.
| ``getTypeToCopy`(self)` Determine what type tag to send for me.
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`list` | `accessors` = `['get_refcount']`
`list` | `attributeGroups` = `[]`
`NoneType` | `id` = None
`NoneType` | `identifier` = None
`list` | `properties` = `['id', 'identifier']`
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Method Details

### getStateToCopyFor(self, perspective) Gather state to send when I am serialized for a particular perspective. I will default to calling `getStateToCopy`. Override this to customize this behavior. Overrides: `twisted.spread.flavors.Copyable.getStateToCopyFor` (inherited documentation)

Class Variable Details

    ### accessors Type: `list` Value:
        ['get_refcount']

    ### attributeGroups Type: `list` Value:
        []

    ### id Type: `NoneType` Value:
        None

    ### identifier Type: `NoneType` Value:
        None

    ### properties Type: `list` Value:
        ['id', 'identifier']

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net